Subject: Re: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Michael Heerdegen <[email-masked]>
Date: Mon, 21 Aug 2023 03:19:36 +0200

Gerd Möllmann <[email-masked]> writes:

> On 20.08.23 08:08, Michael Heerdegen wrote:
>
> >> I also checked now what's up with functions whose name is (setf ...),
> >> which is valid CL.  That's not supported in ELisp, it seems, so I
> >> [...]
> > Eh - aren't such names used by "gv.el"?
>
> AFAIU, and I'm pretty sure pf that, Gv stores setter function in a
> symbol property of the getter function name.  So, there is no need for
> more generalized function names.
>
> That's probably more ecomical than extending function names to allow
> something like (setf ...).

`gv-setter' returns such names.  I see them from time to time when
debugging.

Michael.